NXWidgets: NxWM::CMediaPlayerFactory Class Reference

NXWidgets 1.19

Public Member Functions | Private Attributes | List of all members
NxWM::CMediaPlayerFactory Class Reference

`#include <cmediaplayer.hxx>`

Inheritance diagram for NxWM::CMediaPlayerFactory:

## Public Member Functions
| CMediaPlayerFactory (CTaskbar *taskbar)
| ~CMediaPlayerFactory (void)
IApplication * | create (void)
NXWidgets::IBitmap * | getIcon (void)
Public Member Functions inherited from NxWM::IApplicationFactory
virtual | ~IApplicationFactory (void)

## Private Attributes
CTaskbar * | m_taskbar

## Detailed Description

Definition at line 441 of file cmediaplayer.hxx.

## Constructor & Destructor Documentation

## ◆ CMediaPlayerFactory()

CMediaPlayerFactory::CMediaPlayerFactory | ( | CTaskbar * | taskbar | ) |

CMediaPlayerFactory Constructor

Parameters

  taskbar. | The taskbar instance used to terminate calibration

CMediaPlayerFactory Constructor

Parameters

  taskbar. | The taskbar instance used to terminate the console

Definition at line 1899 of file cmediaplayer.cxx.

## ◆ ~CMediaPlayerFactory()

NxWM::CMediaPlayerFactory::~CMediaPlayerFactory | ( | void |  | ) |
| inline

CMediaPlayerFactory Destructor

Definition at line 459 of file cmediaplayer.hxx.

## Member Function Documentation

## ◆ create()

IApplication * CMediaPlayerFactory::create | ( | void |  | ) |
| virtual

Create a new instance of an CMediaPlayer (as IApplication).

Implements NxWM::IApplicationFactory.

Definition at line 1908 of file cmediaplayer.cxx.

## ◆ getIcon()

NXWidgets::IBitmap * CMediaPlayerFactory::getIcon | ( | void |  | ) |
| virtual

Get the icon associated with the application

Returns
  An instance if IBitmap that may be used to rend the application's icon. This is an new IBitmap instance that must be deleted by the caller when it is no long needed.

Implements NxWM::IApplicationFactory.

Definition at line 1951 of file cmediaplayer.cxx.

## Member Data Documentation

## ◆ m_taskbar

CTaskbar* NxWM::CMediaPlayerFactory::m_taskbar
| private

The taskbar

Definition at line 444 of file cmediaplayer.hxx.

The documentation for this class was generated from the following files:

- cmediaplayer.hxx
- cmediaplayer.cxx